#include <avr/io.h>
#include <stdio.h>
#include <stdint.h>

int main(void)
{
  uint8_t a = 252;
  int8_t b = +127;
	
  printf("a = %u\n", a++);
  printf("a = %u\n", a++);
  printf("a = %u\n", ++a); 	
  printf("a = %u\n", ++a);	
  printf("a = %u\n", ++a);	
  printf("a = %u\n\n", ++a);	
  
  printf("b = %+i\n", b);
  b++;	
  printf("b = %+i\n", b);
  b--;
  printf("b = %+i\n", b);
  
  while (1)
  {
  }
}

